Allocator
BitMagic Library » bvector<> container
Collaboration diagram for Allocator:

## Data Structures

class | bm::block_allocator
| Default malloc based bitblock allocator class. More...
class | bm::ptr_allocator
| Default malloc based bitblock allocator class. More...
class | bm::pointer_pool_array
| Pool of pointers to buffer cyclic allocations. More...
class | bm::alloc_pool< BA, PA >
| Allocation pool object. More...
class | bm::mem_alloc< BA, PA, APool >
| BM style allocator adapter. More...

## Typedefs

typedef bm::alloc_pool< block_allocator, ptr_allocator > | bm::standard_alloc_pool
typedef bm::mem_alloc< block_allocator, ptr_allocator, standard_alloc_pool > | bm::standard_allocator

## Detailed Description

Memory allocation for bvector

## Typedef Documentation

## standard_alloc_pool

typedef bm::alloc_pool<block_allocator, ptr_allocator> bm::standard_alloc_pool

Definition at line 425 of file bmalloc.h.

## standard_allocator

typedef bm::mem_alloc<block_allocator, ptr_allocator, standard_alloc_pool> bm::standard_allocator

Definition at line 426 of file bmalloc.h.